Name:           libopensync-plugin-evolution2
Epoch:          1
Version:        0.22
Release:        53%{?dist}
Summary:        Evolution 2 plugin for libopensync

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Patch1:         %{name}-0.22-eds.patch
Patch2:         %{name}-0.22-werror.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel = 1:0.22
BuildRequires:  evolution-data-server-devel

Obsoletes: libopensync-plugin-evolution2-devel < 0:0.35
Provides:  libopensync-plugin-evolution2-devel = 0:0.35

%description
%{summary}

%prep
%setup -q

%patch1 -p1 -b .eds
%patch2 -p1 -b .werror

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;
rm -fr $RPM_BUILD_ROOT/%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README ChangeLog
%{_libdir}/opensync/plugins/evo2_sync.so
%{_datadir}/opensync/defaults/evo2-sync

%changelog
* Tue Feb 16 2016 Milan Crha <mcrha@redhat.com> - 1:0.22-53
- Rebuild for newer evolution-data-server

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-52
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 David Tardon <dtardon@redhat.com> - 1:0.22-51
- rebuild for libical 2.0.0

* Wed Jul 22 2015 Milan Crha <mcrha@redhat.com> - 1:0.22-50
- Rebuild for newer evolution-data-server

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 Milan Crha <mcrha@redhat.com> - 1:0.22-48
- Rebuild for newer evolution-data-server

* Tue Feb 17 2015 Milan Crha <mcrha@redhat.com> - 1:0.22-47
- Rebuild against newer evolution-data-server

* Wed Sep 24 2014 Milan Crha <mcrha@redhat.com> - 1:0.22-46
- Rebuild against newer evolution-data-server

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 Milan Crha <mcrha@redhat.com> - 1:0.22-44
- Rebuild against newer evolution-data-server

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-43
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 03 2014 Milan Crha <mcrha@redhat.com> - 1:0.22-42
- Rebuild against newer evolution-data-server

* Tue Jan 14 2014 Milan Crha <mcrha@redhat.com> - 1:0.22-41
- Rebuild against newer evolution-data-server

* Thu Nov 21 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-40
- Rebuild for new libical (RH bug #1023020)

* Tue Nov 19 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-39
- Rebuild against newer evolution-data-server

* Fri Nov 08 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-38
- Rebuild against newer evolution-data-server

* Mon Aug 19 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-37
- Rebuild against newer evolution-data-server

* Tue Jul 30 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-36
- Rebuild against newer evolution-data-server

* Wed Jul 10 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-35
- Rebuild against newer evolution-data-server

* Sat May 25 2013 Rex Dieter <rdieter@fedoraproject.org> 0.22-34
- rebuild (libical)

* Tue Apr 30 2013 Milan Crha <mcrha@redhat.com> - 1:0.22-33
- Rebuild against newer evolution-data-server

* Sat Feb 23 2013 Kevin Fenzi <kevin@scrye.com> - 1:0.22-32
- Rebuild for broken deps in rawhide

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Milan Crha <mcrha@redhat.com>
- 1:0.22-30
- Rebuild against newer evolution-data-server

* Wed Dec 26 2012 Bruno Wolff III <bruno@ wolff.to>
- 1:0.22-29
- Rebuild for libcamel soname bump

* Tue Nov 20 2012 Milan Crha <mcrha@redhat.com>
- 1:0.22-28
- Rebuild against newer evolution-data-server
- Add patch to remove -Werror from AM_CFLAGS

* Thu Oct 25 2012 Milan Crha <mcrha@redhat.com>
- 1:0.22-27
- Rebuild against newer evolution-data-server

* Wed Aug 29 2012 Milan Crha <mcrha@redhat.com>
- 1:0.22-26
- Add patch to build against latest evolution-data-server

* Thu Jul 26 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-25
- fix include

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-23
- bump

* Wed May 02 2012 Milan Crha <mcrha@redhat.com>
- 1:0.22-22
- Rebuild against newer evolution-data-server

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-20
- Rebuild against newer evolution-data-server

* Mon Nov 28 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-19
- Rebuild against newer evolution-data-server

* Sun Oct 30 2011 Bruno Wolff III <bruno@wolff.to>
- 1:0.22-18
- Rebuild against newer evolution-data-server

* Tue Aug 30 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-17
- Sync version with f16 branch

* Mon Aug 29 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-16
- Rebuild against newer evolution-data-server

* Tue Aug 16 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-15
- Rebuild against newer evolution-data-server

* Tue Jul 26 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-14
- rebuild (libcamel)

* Wed Jul 06 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-13
- rebuild (libcamel)

* Wed Jun 15 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-12
- bump

* Tue May 10 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-11
- bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-9
- Rebuild against newer evolution-data-server

* Wed Jan 12 2011 Milan Crha <mcrha@redhat.com>
- 1:0.22-8
- Rebuild against newer evolution-data-server

* Tue Oct 12 2010 Milan Crha <mcrha@redhat.com>
- 1:0.22-7
- Rebuild against newer evolution-data-server

* Sun Jul 18 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-6
- rebuild

* Tue May 25 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-5
- rebuild

* Wed May 12 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-4
- rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 10 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-2
- use versioned provides/requires/obsoletes
- cleanup

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-1
- downgrade (#474070)

* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade
- fix upgrade path

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-3
- Autorebuild for GCC 4.3

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.35-2
- use cmake macro

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.35-1
- version upgrade
- remove -devel subpackage

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-2
- fix license tag
- rebuild for buildid

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-1
- version upgrade

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.20-1
- version upgrade

* Mon Dec 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-2
- bump

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-9
- FE6 rebuild

* Mon Aug 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-8
- bump

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-6
- Rebuild for Fedora Extras 5

* Wed Feb 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-5
- bump release

* Wed Jan 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-4
- bump release

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-3
- add dist

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-2
- add missing BR

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-1
- initial version
